<!DOCTYPE html>
<html lang="en">
<head>
    
    <meta charset="utf-8">
    <title>Introduction - Documentation</title>
    
    
    <script src="scripts/prettify/prettify.js"></script>
    <script src="scripts/prettify/lang-css.js"></script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc.css">
    <script src="scripts/nav.js" defer></script>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
</head>
<body>

<input type="checkbox" id="nav-trigger" class="nav-trigger" />
<label for="nav-trigger" class="navicon-button x">
  <div class="navicon"></div>
</label>

<label for="nav-trigger" class="overlay"></label>

<nav >
    
    <input type="text" id="nav-search" placeholder="Search" />
    
    <h2><a href="index.html">Home</a></h2><h3>Objects</h3><ul><li><a href="Controller.html">Controller</a><ul class='methods'><li data-type='method' style='display: none;'><a href="Controller.html#iterate">iterate</a></li></ul></li><li><a href="Criterion.html">Criterion</a><ul class='methods'><li data-type='method' style='display: none;'><a href="Criterion.html#cost">cost</a></li></ul></li><li><a href="Driver.html">Driver</a><ul class='methods'><li data-type='method' style='display: none;'><a href="Driver.html#get">get</a></li><li data-type='method' style='display: none;'><a href="Driver.html#set">set</a></li></ul></li><li><a href="Numeric.html">Numeric</a><ul class='methods'><li data-type='method' style='display: none;'><a href="Numeric.html#getValue">getValue</a></li><li data-type='method' style='display: none;'><a href="Numeric.html#getIndex">getIndex</a></li><li data-type='method' style='display: none;'><a href="Numeric.html#asString">asString</a></li></ul></li><li><a href="Optimizer.html">Optimizer</a><ul class='methods'><li data-type='method' style='display: none;'><a href="Optimizer.html#minimize">minimize</a></li></ul></li><li><a href="Introduction.html">Introduction</a></li></ul>
</nav>

<div id="main">
    
    <h1 class="page-title">Introduction</h1>
    

    




<section>

<header>
    
        <h2>
        Introduction
        </h2>
        
    
</header>

<article>
    
        <div class="container-overview">
        
            

    

    <h4 class="name" id="Introduction"><span class="type-signature"></span><span class="type-signature"></span></h4>

    




<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>





<div class="description usertext">
    <p>This factory encapsulates step by step variational solver mechanism.</p>
<ul>
<li>The design choice here is to consider fully defined numerical value <a href="Numeric.html">Numeric</a>:
<ul>
<li>Bounded between a <code>min</code> and <code>max</code> value.</li>
<li>A numerical precision <code>eps</code> under which two values are indistinguishable.</li>
<li>A sampling <code>step</code> if the value lies in a non convex neighborhood.</li>
<li>A default and initial value.</li>
<li>A physical unit, if applicable.</li>
</ul>
</li>
<li>Here tow basic algorithms are implemented:
<ul>
<li>An <a href="Optimizer.html">Optimizer</a> minimizing a <a href="Criterion.html">Criterion</a> allowing to locally find a solution to a system of equations in a deterministic way, without additional hyperparameters.</li>
<li>A <a href="Controller.html">Controller</a> of a look-and-move <a href="Driver.html">Driver</a> mechanism allowing to drive an external mechanism connected to the driver towards desired values.</li>
</ul>
</li>
<li>In both cases a step by step, slow but robuts reproducible mechamism is obtained.</li>
</ul>
</div>




























        
        </div>
    

    

    

    
    
    

     

    

    

    

    

    
</article>

</section>




    
    
</div>

<br class="clear">

<footer>
    Documentation generated on Sat Jan 30 2021 08:03:09 GMT+0100 .
</footer>

<script>prettyPrint();</script>
<script src="scripts/polyfill.js"></script>
<script src="scripts/linenumber.js"></script>

<script src="scripts/search.js" defer></script>


<script src="scripts/collapse.js" defer></script>


</body>
</html>